Library Version 18.1.40

DB_ENV->get_tmp_dir()
Prev | Chapter 5. The DB_ENV Handle | Next

## DB_ENV->get_tmp_dir()

    #include <db.h>

    int
    DB_ENV->get_tmp_dir(DB_ENV *dbenv, const char **dirp);

The `DB_ENV->get_tmp_dir()` method returns the database environment temporary file directory.

The `DB_ENV->get_tmp_dir()` method may be called at any time during the life of the application.

The `DB_ENV->get_tmp_dir()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### dirp

The `DB_ENV->get_tmp_dir()` method returns a reference to the database environment temporary file directory in dirp.

### Class

DB_ENV

### See Also

Database Environments and Related Methods, DB_ENV->set_tmp_dir()

Prev | Up | Next
DB_ENV->get_timeout() | Home | DB_ENV->get_verbose()